Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047029
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-06-08 18:302021-06-21 23:54
Reporterhector_hernaezView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047029: Error in the printed ticket when using 'Print las receipt' option

DescriptionWhen a ticket is printed using the option 'Print Last Receipt', the amount in cash is wrong when in the buy, the client has paid in cash with more money than the cost of the product.
Steps To Reproduce- In webPOS mode buy 'Headlamp ultralight' x1.
- Pay in cash with 20 euros (the change is 1.10).
- Print the ticket (image attached 'Original ticket').
- Go in the webPOS to the Menu and select 'Print Last Receipt'.
- In the printed ticket it can be seen that the 'Cash' field is now the sum of the money the client has paid for the buy (20€) and the change (1.10€) which is 21.10€ (image attached 'Duplicate ticket')
TagsNo tags attached.
Attached Filespng file icon Original ticket.png [^] (22,800 bytes) 2021-06-08 18:30


png file icon Duplicate ticket.png [^] (22,780 bytes) 2021-06-08 18:30


patch file icon 0001-Fixed-BUG-47029-Added-change-value-to-lastOrder-tick.patch [^] (3,823 bytes) 2021-06-21 23:54 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0047143 closedrqueralta Reprint a sale with change 

-  Notes
(0129581)
hgbot (developer)
2021-06-16 21:18

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/476 [^]
(0129582)
hgbot (developer)
2021-06-16 21:18

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.printlast/-/merge_requests/2 [^]
(0129635)
hgbot (developer)
2021-06-18 01:24

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/476 [^]
(0129636)
hgbot (developer)
2021-06-18 01:26

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.printlast/-/merge_requests/2 [^]
(0129660)
hgbot (developer)
2021-06-18 23:48

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.printlast/-/merge_requests/3 [^]
(0129678)
hgbot (developer)
2021-06-21 08:00

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.printlast [^]
Changeset: 6e02000b3f064c8797896caf11775e2e035f96aa
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-06-17T19:27:34-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.printlast/-/commit/6e02000b3f064c8797896caf11775e2e035f96aa [^]

Fixed BUG-47029: Check if the execution comes from printLastOrder menu to not add the change twice

---
M web/org.openbravo.retail.printlast/js/printLastButton.js
---
(0129679)
hgbot (developer)
2021-06-21 08:00

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.printlast/-/merge_requests/3 [^]

- Issue History
Date Modified Username Field Change
2021-06-08 18:30 hector_hernaez New Issue
2021-06-08 18:30 hector_hernaez Assigned To => Retail
2021-06-08 18:30 hector_hernaez File Added: Original ticket.png
2021-06-08 18:30 hector_hernaez Triggers an Emergency Pack => No
2021-06-08 18:30 hector_hernaez File Added: Duplicate ticket.png
2021-06-14 04:59 rqueralta Assigned To Retail => rqueralta
2021-06-14 04:59 rqueralta Status new => scheduled
2021-06-16 21:18 hgbot Note Added: 0129581
2021-06-16 21:18 hgbot Note Added: 0129582
2021-06-17 08:19 william_vermersch Issue Monitored: william_vermersch
2021-06-17 16:38 marvintm Relationship added has duplicate 0047143
2021-06-18 01:24 hgbot Note Added: 0129635
2021-06-18 01:26 hgbot Note Added: 0129636
2021-06-18 23:48 hgbot Note Added: 0129660
2021-06-21 08:00 hgbot Resolution open => fixed
2021-06-21 08:00 hgbot Status scheduled => closed
2021-06-21 08:00 hgbot Note Added: 0129678
2021-06-21 08:00 hgbot Note Added: 0129679
2021-06-21 23:54 rqueralta File Added: 0001-Fixed-BUG-47029-Added-change-value-to-lastOrder-tick.patch


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker